<!--
****************************************************
install_nxweb.html
****************************************************
| Version     작성자        수정일        변경사항
 ---------  -------  -----------  ----------
| v1.0.0.2    백서린    2017.01.20
| v1.0.0.1    백서린    2017.01.20      최초

****************************************************
 Copyright ⒞ RaonSecure Co., Ltd.
****************************************************
-->

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta http-equiv="Expires" content="-1"/>
<meta http-equiv="Progma" content="no-cache" />
<meta http-equiv="cache-control" content="no-cache" />
<title>TouchEn nx 제품 설치</title>
<link type="text/css" href="css/install_handler.css" rel="stylesheet" />

<script type="text/javascript">
var TNK_SR = "";
var TouchEnKey_installpage = "";//설치페이지 확인을 위해 전역으로 변수 필수 설정
</script>
<script type="text/javascript" src="../cmn/TouchEnNx.js"></script>
<script type="text/javascript">
TouchEnNxConfig.use = {
		nxkey	:	false,
		nxcr	:	false,
		nxweb	:	true,
		nxfw	:	false
};
var thisBrowserInfo = "[OS : " + TOUCHENEX_UTIL.getOSInfo().platform + " / " + TOUCHENEX_UTIL.getOSInfo().bit + "] [Browser : "  + TOUCHENEX_UTIL.getBrowserInfo().browser + " / " + TOUCHENEX_UTIL.getBrowserInfo().version + "]";
/**
  * 메인 페이지 이동 함수 설명 : 설치 완료시 메인페이지 이동 함수 호출 한다.
  * 페이지 onload 때 [ touchenexInfo.tkMainpage = fn_getUrlParameter("url"); ] 호출하여 보낸 페이지 값을 저장한다.
  */
 function TK_moveMainPage() {
 	location.href = TouchEnNxConfig.tkMainpage.tos;
 }
 if(TouchEnNx.useModule.length > 0){
	 var TouchEnNxKeyInstall = setInterval(function(){
		 TOUCHENEX_CHECK.check(TouchEnNx.useModule, function(result){
				if (result.status) {
					clearInterval(TouchEnNxKeyInstall);
					TK_moveMainPage();
		        } else {
		        	/** 솔루션 미설치 일 때*/
		        	if(TOUCHENEX_UTIL.typeExtension() && !TOUCHENEX_usedaemon){
		        		if(!result.info[0].extension){
		        			/** 익스텐션 설치가 되어 있지 않을 경우 */
		        			document.getElementById("ex_download").style.display = "block";
			        		document.getElementById("ex_installed").style.display = "nones";
			        	}else{
			        		/** 익스텐션 설치 되어 있을 경우 */
			        		document.getElementById("client").style.display = "block";
			        		document.getElementById("ex_download").style.display = "none";
			        		document.getElementById("ex_installed").style.display = "block";
			        	}
		        	}
		        	for (var i = 0; i < result.info.length; i++) {
		        		if(!result.info[i].isInstalled){
		        			if(TouchEnNx.useModule[i].exModuleName == "nxkey"){
								/** 키보드보안 Client 미설치 */
	        		 			document.getElementById("tk_download").style.display = "block";
	        		 			document.getElementById("tk_installed").style.display = "none";
							}
							if(TouchEnNx.useModule[i].exModuleName == "nxwirelesscert"){
								/** 인증서 Client 미설치 */
								document.getElementById("nxcr_download").style.display = "block";
	        		 			document.getElementById("nxcr_installed").style.display = "none";
							}
							if(TouchEnNx.useModule[i].exModuleName == "nxweb"){
								document.getElementById("nxweb_download").style.display = "block";
	        		 			document.getElementById("nxweb_installed").style.display = "none";
								/** 웹컨텐츠보안 Client 미설치 */
							}
							if(TouchEnNx.useModule[i].exModuleName == "nxfirewall"){
								/** 방화벽 Client 미설치 */
								document.getElementById("nxfw_download").style.display = "block";
	        		 			document.getElementById("nxfw_installed").style.display = "none";
							}
		        		}else{
		        			if(TouchEnNx.useModule[i].exModuleName == "nxkey"){
		        				/**키보드보안 설치 완료 */
	        		 			document.getElementById("tk_download").style.display = "none";
	        		 			document.getElementById("tk_installed").style.display = "block";
							}
							if(TouchEnNx.useModule[i].exModuleName == "nxwirelesscert"){
								document.getElementById("nxcr_download").style.display = "none";
	        		 			document.getElementById("nxcr_installed").style.display = "block";
							}
							if(TouchEnNx.useModule[i].exModuleName == "nxweb"){
								document.getElementById("nxweb_download").style.display = "none";
	        		 			document.getElementById("nxweb_installed").style.display = "block";
							}
							if(TouchEnNx.useModule[i].exModuleName == "nxfirewall"){
								document.getElementById("nxfw_download").style.display = "none";
	        		 			document.getElementById("nxfw_installed").style.display = "block";
							}
		        		}

	                }


		        }
			});
	 },1000);
}
</script>
</head>

<body>

<div id="installVP_wrap">
    <div id="container">
        <div><img src="images/top_logo.gif" /></div>

        <div id="downVP">
            <div><img src="images/install_line.gif" /></div>
            <br/>

            <div id="downVP_multi">
                <div id="title">TouchEn 보안 프로그램 설치</div>
                <div id="msg">
                    <ul>
                        <li> ≫ 하단의 버튼을 눌러 프로그램을 다운로드 받아 설치 하시기 바랍니다.</li>
                        <li> ≫ 수동설치후에 반드시 <a href="javascript:navigator.plugins.refresh(true);location.reload();">[새로고침]</a> 을 하거나 해당사이트로 재 접속하여주시기 바랍니다.</li>
                        <li> ≫ 접속PC정보: <script>document.write(thisBrowserInfo)</script></li>
                    </ul>
                </div>
            </div>

            <div id="downVP_btn">
            	<div id="inn">
            		<div><img src="images/install_line_mini.gif" /></div>
            		<!-- 익스텐션 시작-->
            		<div id="ex_download" style="display:none">
	                	<label for="ex_download">브라우저 확장 기능 설치 : </label><button id="ex_download" type="button" onclick="javascript:TOUCHENEX_INSTALL.download('nxkey', 'extension');">등록하기</button><br/>
	                </div>
	                <div id="ex_installed" style="display:none">
	                	<label>브라우저 확장 기능 설치 : </label><span class="instxt"><b>설치 완료</b></span><br/>
	                </div>
	                <!-- 익스텐션 종료-->
	                <div id="client">
	                	<!-- 키보드보안  시작-->
	                	<div id="nxkey" style="display:none">
			                <div id="tk_download" >
			                	<label for="main_download">키보드보안 프로그램 설치 : </label><button id="main_download" type="button" onclick="javascript:TouchEnKey_download();">다운로드</button>
			                </div>
			                <div id="tk_installed"  style="display:none">
			                	<label>키보드보안 프로그램 설치 : </label><span class="instxt"><b>설치 완료</b></span>
			                </div>
		                </div>
		                <!-- 키보드보안  종료-->

		                <!-- 인증서복사  시작-->
	                	<div id="nxcr" style="display:none">
			                <div id="nxcr_download" >
			                	<label for="main_download">인증서복사 프로그램 설치 : </label><button id="main_download" type="button" onclick="javascript:TOUCHENEX_INSTALL.download('nxwirelesscert', 'client');">다운로드</button>
			                </div>
			                <div id="nxcr_installed"  style="display:none">
			                	<label>인증서복사 프로그램 설치 : </label><span class="instxt"><b>설치 완료</b></span>
			                </div>
		                </div>
		                <!-- 인증서복사  종료-->

		                <!-- 웹컨텐츠보안 시작 -->
		                <div id="nxweb" style="display:none">
			                <div id="nxweb_download" >
			                	</label><button id="main_download" type="button" onclick="javascript:TOUCHENEX_INSTALL.download('nxweb', 'client','ubuntu32');">다운로드</button>
			                </div>
			                <div id="nxweb_installed"  style="display:none">
			                	<label>웹컨텐츠보안 프로그램 설치 : </label><span class="instxt"><b>설치 완료</b></span>
			                </div>
		                </div>
		                <!-- 웹컨텐츠보안 종료 -->

		                <!-- 방화벽  시작-->
	                	<div id="nxfw" style="display:none">
			                <div id="nxfw_download" >
			                	<label for="main_download">방화벽 프로그램 설치 : </label><button id="main_download" type="button" onclick="javascript:TOUCHENEX_INSTALL.download('nxfirewall', 'client');">다운로드</button>
			                </div>
			                <div id="nxfw_installed"  style="display:none">
			                	<label>방화벽 프로그램 설치 : </label><span class="instxt"><b>설치 완료</b></span>
			                </div>
		                </div>
		                <!-- 방화벽  종료-->
	                </div>

	                <div><img src="images/install_line_mini.gif" /></div>
                </div>
            </div>

            <div><img src="images/install_line.gif" /></div>
            <div id="downVP_msg">
                <ul>
                    <li>설치완료 후 장시간 화면이 멈춰있거나 설치가 반복될경우 다음을 확인하시기 바랍니다.
                       <br/>(1) 정상적인 설치/동작확인을 위하여 <a href="javascript:navigator.plugins.refresh(true);location.reload();"><b>접속확인</b></a>을 선택하여 정상적으로 접속되는지 확인합니다.
                    </li>
                    <li>설치가 정상적으로 되지 않는 경우에는 사용중인 브라우저를 모두 종료한뒤 [제어판]의 [프로그램 추가제거]에서 [TouchEn nxKey with E2E for 32(64)Bit]삭제 후에 수동설치 파일로 재 설치후  이용하십시오.</li>
                    <li>보안 프로그램 설치안내: <b><a href="http://faq.touchen.co.kr/nxKey" target="_guide">[설치안내바로가기]</a></b></li>
                </ul>
            </div>
            <div><img src="images/install_line.gif" /></div>
        </div>
    </div>
</div>
<script>
if(TOUCHENEX_UTIL.typeExtension() && !TOUCHENEX_usedaemon){
	document.getElementById("ex_download").style.display = "block";
}
if(TouchEnNxConfig.use.nxkey){
	document.getElementById("nxkey").style.display = "block";
}
if(TouchEnNxConfig.use.nxcr){
	document.getElementById("nxcr").style.display = "block";
}
if(TouchEnNxConfig.use.nxweb){
	document.getElementById("nxweb").style.display = "block";
}
if(TouchEnNxConfig.use.nxfw){
	document.getElementById("nxfw").style.display = "block";
}
if(TouchEnNx.TK_getUrlParameter("url").length > 0){
	TouchEnNxConfig.tkMainpage.tos = TouchEnNx.TK_getUrlParameter("url");	// 설치페이지로 이동 시킨 페이지 정보를 저장한다.
}
</script>
</body>
</html>
